
Katello - Bug #5989

Error in katello while syncing puppet content from filesystem

05/29/2014 04:47 PM - David Davis

Status: Closed   

Priority: Normal   

Assignee: David Davis   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1102826 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1102826

While testing the scenario:

Build the Lab Wordpress module in git and import into Satellite using the new Puppet GIT tooling.

I get an error when attempting to do a sync in Katello. It looks like Pulp worked fine.

NoMethodError

undefined method `[]' for nil:NilClass

---

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/pulp/repository/distributor_publish.rb:35:in

`distributor_id'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/pulp/repository/distributor_publish.rb:27:in

`invoke_external_task'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action/polling.rb:70:in

`initiate_external_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action/polling.rb:12:in

`run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:424:in

`block (3 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:26:in

`call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:26:in

`pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware.rb:16:in

`pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:25:in

`block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:51:in

`block (2 levels) in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/util/thread_session.rb:85:in

`set_pulp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:41:in

`as_pulp_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:50:in

`block in as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/util/thread_session.rb:92:in

`set_cp_config'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:36:in

`as_cp_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:49:in

`as_remote_user'

- /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/actions/middleware/remote_action.rb:25:in

`run'
- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:22:in

`call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:26:in

`pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware.rb:16:in

`pass'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action/progress.rb:30:in

`with_progress_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action/progress.rb:16:in

`run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/stack.rb:22:in

`call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/middleware/world.rb:30:in

`execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:424:in

`block (2 levels) in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:423:in

`catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:423:in

`block in execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in

`call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in

`block in with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in

`catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:353:in

`with_error_handling'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:422:in

`execute_run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/action.rb:222:in

`execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in

`block (2 levels) in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract.rb:141:in

`call'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract.rb:141:in

`with_meta_calculation'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in

`block in execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in

`open_action'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in

`execute'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/executors/parallel/worker.rb:20:in

`block in on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:859:in

`block in assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

`tap'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

`assigns'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:138:in

`match_value'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:116:in

`block in match'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

`each'

- /opt/rh/ruby193/root/usr/share/gems/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

`match'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/executors/parallel/worker.rb:17:in

`on_message'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:82:in

`on_envelope'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:72:in

`receive'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in
`block (2 levels) in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in

`loop'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in

`block in run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in

`catch'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:99:in

`run'

- /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.6.1/lib/dynflow/micro_actor.rb:13:in

`block in initialize'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

`call'

- /opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging/diagnostic_context.rb:323:in

`block in create_with_logging_context'

Related issues:

Has duplicate Katello - Bug #6033: publishing an empty content view errors wi... Closed 06/03/2014

Associated revisions

Revision d24f2d58 - 05/29/2014 05:01 PM - David Davis

Fixes #5989 - Fixing puppet repo sync BZ1102826

Revision b350de25 - 05/30/2014 11:37 AM - David Davis

Merge pull request #4180 from daviddavis/temp/20140529124847

Fixes #5989 - Fixing puppet repo sync BZ1102826

Revision 8dafd290 - 06/03/2014 02:18 PM - David Davis

Fixes #5989 - Fixing puppet repo sync check BZ1102826

There's some places we call 'puppet?' on ContentViewPuppetEnvironments so we

get the following error in the publish code.

NoMethodError: undefined method `puppet?' for

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activemodel-3.2.18/lib/active_model/attribute_methods.rb:407:in

`method_missing'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activerecord-3.2.18/lib/active_record/attribute_methods.rb:149:in

`method_missing'

/home/thomasmckay/code/katello/app/lib/actions/katello/repository/node_metadata_generate.rb:21:in

`block in plan'

Revision bd8a0f30 - 06/03/2014 06:19 PM - David Davis

Merge pull request #4202 from daviddavis/temp/20140603101658

Fixes #5989 - Fixing puppet repo sync check BZ1102826

History

#1 - 05/29/2014 07:38 PM - Eric Helms

- Target version set to 45

- Triaged set to Yes

#2 - 05/30/2014 11:52 AM - David Davis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d24f2d58d36a0267dd9455d1d1263efd84755e46.

#3 - 06/03/2014 01:59 PM - David Davis

- Status changed from Closed to Assigned

There's a bug with this.
NoMethodError: undefined method `puppet?' for #<Katello::ContentViewPuppetEnvironment:0x0000000b9138a8>

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activemodel-3.2.18/lib/active_model/attribute_methods.rb:407:in `method_missing'

/usr/local/rvm/gems/ruby-1.9.3-p448@foreman/gems/activerecord-3.2.18/lib/active_record/attribute_methods.rb:149:in `method_missing'

/home/thomasmckay/code/katello/app/lib/actions/katello/repository/node_metadata_generate.rb:21:in `block in plan'

#4 - 06/03/2014 06:52 PM - David Davis

- Status changed from Assigned to Closed

Applied in changeset katello|commit:8dafd290f9d59aa17991ff6e09c05f9c2c0633ba.

#5 - 06/16/2014 03:04 PM - David Davis

- Has duplicate Bug #6033: publishing an empty content view errors with "undefined method `puppet?'" added

#6 - 08/22/2014 08:28 AM - Eric Helms

- translation missing: en.field_release set to 13
